= render "projects/commits/head"

%h3.page-title
  = t("projects_section.compare.compare_view")

= render "form"

- if @commits.present?
  %div.panel.panel-default
    .panel-heading
      = t("projects_section.compare.commits")
      (#{@commits.count})
    - if @commits.size > MergeRequestDiff::COMMITS_SAFE_SIZE
      %ul.well-list
        - Commit.decorate(@commits.first(MergeRequestDiff::COMMITS_SAFE_SIZE)).each do |commit|
          = render "projects/commits/inline_commit", commit: commit, project: @project
        %li.warning-row.unstyled
          = t("projects_section.compare.other", count: @commits.size - MergeRequestDiff::COMMITS_SAFE_SIZE)
          = t("projects_section.compare.commits_hidden_to_prevent_performance_issues")
    - else
      %ul.well-list= render Commit.decorate(@commits), project: @project

  %h4
    = t("projects_section.compare.changes")
  - if @diffs.present?
    = render "projects/commits/diffs", diffs: @diffs, project: @project
  - elsif @commits.size > MergeRequestDiff::COMMITS_SAFE_SIZE
    .bs-callout.bs-callout-danger
      %h4
        = t("projects_section.compare.comparison_includes_more")
        = t("projects_section.compare.commits_u", count: MergeRequestDiff::COMMITS_SAFE_SIZE) + "."
      %p
        = t("projects_section.compare.to_preserve_performance_changes_not_shown")
  - elsif @timeout
    .bs-callout.bs-callout-danger
      %h4
        = t("projects_section.compare.number_of_changed_files_extremely_large")
      %p
        = t("projects_section.compare.use_command_line_to_browse_comparison")


- else
  .light-well
    %center
      %h4
        = t("projects_section.compare.nothing_to_compare")
      %p.slead
        - if params[:to] == params[:from]
          = t("projects_section.compare.use_different_branch_name")
        - else
          %span.label-branch #{params[:from]}
          = t("projects_section.compare.and")
          %span.label-branch #{params[:to]}
          = t("projects_section.compare.are_the_same")
